/**
 * An accordion that allows you to expand and collapse content
 * */
export default {
  title: 'Components/Accordion',
  tags: ['autodocs'],
  argTypes: {
    expanded: {
      control: 'boolean',
    },
  },
  args: {
    expanded: false,
  },
}

const AccordionTemplate = ({ expanded }) => {
  return`
    <div class="rpf-accordion">
      ${expanded ? `<details class="rpf-accordion__container" open>` : `<details class="rpf-accordion__container">`}
        <summary class="rpf-accordion__title">
          Accordion title
          <span class="rpf-accordion__icon"></span>
        </summary>
        <p class="rpf-accordion__text">Accodian text lorem ipsum dolor sit amet, consectetur adipiscing elit. Pretium non sit sit lorem diam, at.</p>
      </details>
    </div>`
}

export const Default = AccordionTemplate.bind({})
Default.args = {}

export const Expanded = AccordionTemplate.bind({})
Expanded.args = {
  expanded: true,
}

const MultipleAccordionTemplate = () => {
  return`
    <div class="rpf-accordion">
      <details class="rpf-accordion__container">
        <summary class="rpf-accordion__title">
          Accordion title
          <span class="rpf-accordion__icon"></span>
        </summary>
        <p class="rpf-accordion__text">Accodian text lorem ipsum dolor sit amet, consectetur adipiscing elit. Pretium non sit sit lorem diam, at.</p>
      </details>
      <details class="rpf-accordion__container">
        <summary class="rpf-accordion__title">
          Accordion title
          <span class="rpf-accordion__icon"></span>
        </summary>
        <p class="rpf-accordion__text">Accodian text lorem ipsum dolor sit amet, consectetur adipiscing elit. Pretium non sit sit lorem diam, at.</p>
      </details>
    </div>`
}

export const Multiple = MultipleAccordionTemplate.bind({})
